%define name w_scan
%define version 20141122
%define release %mkrel 1
%define url http://wirbel.htpc-forum.de/w_scan/index_en.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	w_scan (cli) scans for DVB and ATSC transmissions.
Summary(dk):	w_scan (cli) Scanner for DVB og ATSC transmitteringer.
Summary(de):	w_scan (CLI) Scanner für DVB und ATSC-Übertragungen.
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	%name < %version

%description
w_scan is a small command line utility used to perform frequency scans for DVB and ATSC transmissions.
It is capable of creating channels.conf files (in different output formats !) as well as initial tuning data for scan.
It's based on the utility scan from linuxtv-dvb-apps, but meanwhile it was heavily changed and has different features:

   1. no need for "initial transponders", and such no need for a config file
   2. w_scan finds automatically the best matching dvb card
   3. complete different command line options
   4. a different default output format as well as bunch of output formats. (if you feel, that some format is missing - contact me) 


w_scan's command line options:

-f Frontend Type
       a = ATSC, see also option A
       c = DVB-C
       s = DVB-S/S2
       t = DVB-T (default)

-c Country
       Specify your country, mandatory for ATSC and DVB-C/T
       NOTE: since w_scan-200905xx, use -c? for a list of identifiers

-s Satellit
       Specify your satellite, mandatory for DVB-S/S2
       NOTE: since w_scan-200905xx, use -s? for a list of identifiers
 
-A N ATSC Type (Cable/Aerial)
       1 = Terrestrial/Aerial (VSB) [default]
       2 = Cable
       3 = both of them, Aerial and Cable
 
-o N optional: explicitly specify VDR version
       6 = VDR-1.6 (default)
       7 = VDR-1.7
 
-X czap/tzap/xine output format
       alternative channels.conf output format, matching for
       tzap, czap, xine etc.

-x create initial tuning data for (dvb-)scan

-k create channels.dvb for kaffeine-0.8.5

-I import of (dvb)scan initial-tuning-data (since 200905xx)

-h basic help
 
-H extended help for expert functionality 

How to use, some working examples:

   1. DVB-T with VDR-1.6.x (country = Germany):

      w_scan -ft -c DE >> /etc/vdr/channels.conf

   2. DVB-T with VDR-1.6.x (country = United Kingdom):

      w_scan -ft -c GB >> /etc/vdr/channels.conf

   3. DVB-C with VDR-1.6.x (country = Finland):

      w_scan -fc -c FI >> /etc/vdr/channels.conf

   4. DVB-T and DVB-C with VDR-1.4.x:

      w_scan -ft -c DE >> /etc/vdr/channels.conf && w_scan -fc -c DE >> /etc/vdr/channels.conf

   5. DVB-S, HDTV for vdr-1.7, Astra S19.2E:

      w_scan -fs -sS19E2 -o7 >> /etc/vdr/channels.conf

   6. DVB-S, SDTV up to vdr-1.6, Hotbird S13.0E:

      w_scan -fs -sS13E0 >> /etc/vdr/channels.conf

   7. DVB-S, HDTV vdr-1.7, Hotbird S13.0E on DiSeqC 4-port switch port 3 (ports 0..3):

      w_scan -fs -sS13E0 -o7 -D2c >> /etc/vdr/channels.conf

   8. Show basic help:

      w_scan -h

   9. Show extended help:

      w_scan -H

  10. create DVB-T initial-tuning-data:

      w_scan -ft -c DE -x > initial-tuning-data.txt

  11. create DVB-C initial-tuning-data:

      w_scan -fc -c DE -x > initial-tuning-data.txt

  12. create DVB-S initial-tuning-data:

      w_scan -fs -s S19E2 -x > initial-tuning-data.txt

  13. DVB-T kaffeine channels.dvb:

      w_scan -k > channels.dvb

  14. DVB-C kaffeine channels.dvb:

      w_scan -fc -k > channels.dvb

  15. north-american ATSC Aerial (VSB):

      w_scan -fa > channels.conf

  16. north-american ATSC Cable TV (US QAM Annex-B):

      w_scan -A2 > channels.conf

  17. north-american ATSC Aerial (VSB) and Cable (US QAM-B):

      w_scan -A3 > channels.conf

Reporting problems:

A log file can be created with

./w_scan  -v -v 2>&1 | tee w_scan.log

usually one can understand from that file what goes wrong.



#german
%description -l de
w_scan ist eine kleine Anwendung zum Scannen von ATSC/DVB-C/S/T Transpondern/Bouquets nach Sendern und Erstellen einer VDR channels.conf.
w_scan basiert auf dem Tool scan aus den linuxtv-dvb-apps, verfügt aber über folgende abweichende Eigenschaften:

   1. keine Angabe zum "initial Transponder" mehr nötig (deswegen nur noch für dvb-c und dvb-t zu gebrauchen), damit entfällt auch die sonst nötige Konfigdatei
   2. keine Angabe der DVB Karte mehr nötig, benutzt wird die beste für den scan geeignete Karte mit passendem Frontend
   3. andere Kommandozeilenoptionen
   4. geringfügig anderes Ausgabeformat 

Kommandozeilenparameter von w_scan:

-f Frontend Typ
       a = ATSC, siehe auch Option A
       c = DVB-C
       s = DVB-S/S2
       t = DVB-T (Voreinstellung)

-c Land
       Angabe des Landes für ATSC und DVB-C/T
       HINWEIS: Ab w_scan-200905xx, -c? für Liste (Pflichtangabe.)

-s Satellit
       Angabe des Satelliten für DVB-S/S2
       HINWEIS: Ab w_scan-200905xx, -c? für Liste (Pflichtangabe.)
 
-A N Angabe ATSC Typ (Kabel/Terrestrisch)
       1 = Terrestrisch (VSB) [default]
       2 = Kabel
       3 = beides, Terrestrisch und Kabel
 
-o N optional: explizite Angabe der VDR Version
       6 = VDR-1.6 (Voreinstellung)
       7 = VDR-1.7
 
-X czap/tzap/xine Ausgabe Format
       Alternatives Ausgabeformat der channels.conf, passend für
       tzap, czap, xine usw.

-M mplayer Ausgabe Format
       Alternatives Ausgabeformat der channels.conf, passend für
       mplayer, wie -X aber ohne Providername und multiple Audio-Pids

-x initial tuning data für (dvb-)scan erzeugen


-k channels.dvb für kaffeine-0.8.5 erzeugen

-I Import von (dvb)scan initial-tuning-data (ab 200905xx)
 
-H Hilfe für erweiterte Optionen


Beispiele zur Benutzung:

   1. DVB-T mit VDR-1.6.x (Land = Deutschland):

      w_scan -ft -c DE>> /etc/vdr/channels.conf

   2. DVB-T mit VDR-1.6.x (Land = United Kingdom):

      w_scan -ft -c GB>> /etc/vdr/channels.conf

   3. DVB-C mit VDR-1.6.x:

      w_scan -fc >> /etc/vdr/channels.conf

   4. DVB-T und DVB-C mit VDR-1.4.x:

      w_scan -ft -c DE >> /etc/vdr/channels.conf && w_scan -fc -c DE >> /etc/vdr/channels.conf

   5. DVB-S, HDTV für vdr-1.7, Astra S19.2E:

      w_scan -fs -sS19E2 -o7 >> /etc/vdr/channels.conf

   6. DVB-S, SDTV bis vdr-1.6, Hotbird S13.0E:

      w_scan -fs -sS13E0 >> /etc/vdr/channels.conf

   7. Optionen anzeigen lassen:

      w_scan -h

   8. Erweiterte Optionen anzeigen lassen:

      w_scan -H

   9. DVB-T initial-tuning-data erzeugen:

      w_scan -ft -c DE -x > initial-tuning-data.txt

  10. DVB-C initial-tuning-data erzeugen:

      w_scan -fc -c DE -x > initial-tuning-data.txt

  11. DVB-S initial-tuning-data erzeugen:

      w_scan -fs -s S19E2 -x > initial-tuning-data.txt

  12. DVB-T kaffeine channels.dvb erzeugen:

      w_scan -k > channels.dvb

  13. DVB-C kaffeine channels.dvb erzeugen:

      w_scan -fc -k > channels.dvb

  14. ATSC terrestrisch (VSB) scannen:

      w_scan -fa > channels.conf

  15. ATSC Kabel TV (US QAM Annex-B):

      w_scan -A2 > channels.conf

  16. ATSC terrestrisch (VSB) und Kabel (US QAM-B):

      w_scan -A3 > channels.conf

Wenn es Probleme gibt:

Eine Logdatei kann mit

./w_scan  -v -v 2>&1 | tee w_scan.log

erzeugt werden, meist lässt sich dann erkennen, was schief läuft.


%prep

%setup -q -n %{name}-%{version}

%build
./configure --help
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}
%{_mandir}
%doc ChangeLog COPYING AUTHORS NEWS README doc 

%changelog
* Sat May 09 2015 MBantz <martin dot bantz at gmail dot com> 20141122-1pclos2015
- Update to 20141122
- w_scan_start.sh is not in the tarfile - removed from this spec

* Thu May 10 2012 Neal <nealbrks0 at gmail dot com> 20101204-1pclos2012
- build for 64bit

* Mon Dec 20 2010 leiche <meisssw01 at aol.com> 20101204-1leiche2010
- import 
